<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://investorAccountVerificationReportEdit.caption"
        focusComponent="form">
    <data>
        <instance id="accountVerificationReportDc"
                  class="com.company.management.entity.AccountVerificationReport">
            <loader id="accountVerificationReportDl"/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="accountVerificationReportDc">
                <column width="350px">
                    <textField id="investorNameField" property="investorName"/>
                    <textField id="dateOfBirthField" property="dateOfBirth"/>
                    <textField id="taxResidenceCountryField" property="taxResidenceCountry"/>
                    <textField id="nationalityField" property="nationality"/>
                    <textField id="residentialAddressField" property="residentialAddress"/>
                    <textField id="residentialPostcodeField" property="residentialPostcode"/>
                    <textField id="residentialCountryField" property="residentialCountry"/>
                    <textField id="contactNumField" property="contactNum"/>
                    <textField id="bgdIDField" property="bgdID"/>
                    <textField id="accountStatusEndYearField" property="accountStatusEndYear"/>
                    <textField id="accountOpeningDateField" property="accountOpeningDate"/>
                    <textField id="accountClosingDateField" property="accountClosingDate"/>
                    <textField id="lastAccountZeroriseField" property="lastAccountZerorise"/>
<!--                    <textField id="reportingYearField" property="reportingYear"/>-->
                    <textField id="accountBalanceEndYearField" property="accountBalanceEndYear"/>
                    <textField id="accountCurrencyField" property="accountCurrency"/>
                    <textField id="grossSaleRedemptionYearField" property="grossSaleRedemptionYear"/>
                    <textField id="grossSaleRedemptionCurrencyField" property="grossSaleRedemptionCurrency"/>
                </column>
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>